import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
This close to the surface one can find numerous creatures that are tolerant to
light, many of which frequently venture to the surface for food. In this case
an ankheg has found you, and there's a decent chance it won't have to venture to
the surface today for a meal. A gigantic arthropod with yellow chitinous armor
plates, huge mandibles, and dozens of eyes, it rears up on its many legs and
towers over you. 
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'ankheg',    # name
            parole.map.AsciiTile('A', colors['Black']), # symbol, color
            11,  # str
            8, # dex
            11,  # con
            11, # per
            10, # spd
            2,  # level
            20, # xp value
            True, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'pincer', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass


