import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
A lord of the abyss, a searing heat emanates from this cloven-hoofed
abomination. Upon its head rests a crown of burnished brass, and it has the face
of a man but the teeth of a lion. Wearing a breastplate of iron that reflects no
light, it flexes a scorpion-like tail that drips with black venom.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'apollyon',    # name
            parole.map.AsciiTile('A', colors['Black']), # symbol, color
            17,  # str
            17, # dex
            14,  # con
            17, # per
            16, # spd
            6,  # level
            320, # xp value
            True, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'tailwhip', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass

