import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
The massive orb before you effortlessly floats a few feet off the ground. No one
is exactly sure as to the origin of these bizarre creatures, but magical
contamination is fairly common deep below the surface. Your light makes the
beast recoil in agony, as all forms of illumination sear its delicate,
unblinking retina. Throbbing with pain, the eye lurches forward to crush you
with its telekinetic power.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'bloodshot eye',    # name
            parole.map.AsciiTile('e', colors['Red']), # symbol, color
            17,  # str
            9, # dex
            17,  # con
            20, # per
            8, # spd
            3,  # level
            40, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'slam', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            800, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass



