import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
As you grope your way through the darkness, a swarm of rats suddenly erupts from
ahead and streams past you. As the echo of their chittering recedes, you are
assailed by the rancid stench of rotting meat. The ground shakes as it lumbers
into view and your grip on your weapon begins to tremble.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'cave troll',    # name
            parole.map.AsciiTile('T', colors['Silver']), # symbol, color
            17,  # str
            8, # dex
            13,  # con
            8, # per
            9, # spd
            4,  # level
            80, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'slam', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass
