import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
*Squelch* You grimace as your foot sinks into a pile of black guano. More of a
nuisance than a deadly threat, these large flying pests have developed a
penchant for human blood. They hide in the darkest recesses of the cave system
awaiting the cacophony of an approaching adventurer groping his way in the
darkness, since their sonar vision makes them ideally suited for a blindfight.
A single sword thrust is frequently enough to dispatch this vermin-but good luck
hitting it. 
"""

class GiantBat(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'giant bat',    # name
            parole.map.AsciiTile('b', colors['Black']), # symbol, color
            5,  # str
            14, # dex
            3,  # con
            20, # per
            18, # spd
            1,  # level
            10, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'bite', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            900, # unarmed attack energy
            description,
        )

#========================================
thingClass = GiantBat
