import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Entomologists have long recognized the caves honeycombing the Mavros mountain
range as the home of the most impressive arthropods in the region. The
scholopendra gigantea is the largest known centipede of the cave systems,
measuring up to 12 inches in length. It's diet consists primarily of bats and
small reptiles. Most entomologists scoff at the talk of mammoth centipedes the
size of a hunting dog with a penchant for human flesh. Entomologists who have
discovered otherwise were quickly devoured.
"""

class GiantCentipede(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'giant centipede',    # name
            parole.map.AsciiTile('c', colors['Black']), # symbol, color
            7,  # str
            10, # dex
            5,  # con
            10, # per
            10, # spd
            1,  # level
            10, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'pincer', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1100, # unarmed attack energy
            description,
        )

#========================================
thingClass = GiantCentipede

