import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Suddenly something small and fast darts across your field of vision. Nimble and
lithe, it effortlessly hugs the shadows as it avoids the dancing light of your
lantern on the wall. Try as you might, you can't get a good look at the
creature even though it's getting closer. A flash of dozens of serrated small
teeth, and then it is upon you.
"""

class Gremlin(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'gremlin',    # name
            parole.map.AsciiTile('g', colors['Green']), # symbol, color
            8,  # str
            10, # dex
            6,  # con
            11, # per
            10, # spd
            1,  # level
            10, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'claw', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = Gremlin

