import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
The bones that litter the cavern floor bear deep cuts as if something spent a
great deal of time gnawing on them. Your knowledge of troglozoology tells you
that a Niddhogr must not be too far from here. Commonly mistaken for a minor
dragon, this cave drake makes the bowels of the earth its home and loves nothing
more than any warm meat it can find or kill, joyfully gnawing the bones long
after all of the flesh has been picked clean. 
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'niddhogr',    # name
            parole.map.AsciiTile('D', colors['Green']), # symbol, color
            15,  # str
            11, # dex
            12,  # con
            10, # per
            11, # spd
            4,  # level
            80, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'smack', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass

