import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Making no noise as it moves, you see a robed figure standing over a fresh
corpse. As it turns its gaze upon you, your light reveals a charred skull under
a black hood. Its skeletal visage suggests unlife, but the Reaper is in fact of
minor lord of Hell. Tasked with collecting souls to toil at the forges serving
the burning legions, it is said all mortals cut down by the Reaper's scythe are
hellbound, regardless of their previous deeds in life.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'reaper',    # name
            parole.map.AsciiTile('R', colors['Red']), # symbol, color
            17,  # str
            17, # dex
            15,  # con
            17, # per
            17, # spd
            6,  # level
            320, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'reap', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass






