import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
A tiny demon composed entirely of negative energy, a shadow imp was once a
thrall to a practitioner of the dark arts who failed in an attempt to escape the
chains of its eternal servitude. Its punishment is perversely ironic: it was
released from bondage, but denied return to its original demonic plane of
existence. It now wanders the forgotten crevices of the world, stripped of any
hope of homecoming as well as the existential fulfillment of service. The tiny
red eyes that narrow as you approach burn with a hatred that has festered in the
darkness for eons.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'shadow imp',    # name
            parole.map.AsciiTile('I', colors['Black']), # symbol, color
            8,  # str
            10, # dex
            10,  # con
            17, # per
            17, # spd
            2,  # level
            20, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'torment', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass


