import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
The insane creation of Alhazerian sorcerers who have smoked too much Artemesia
weed, these towering constructs are primarily used to guard arcane sanctuaries
and treasure stashes. Regardless of the obstacles an adventurer places between
himself and the golem, a single crack is enough for the smoke golem to seep
through. Though composed entirely of an acrid smoke, they can compress a
tremendous amount of smoke into an impossibly small volume, delivering crippling
blows. 
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'smoke golem',    # name
            parole.map.AsciiTile('G', colors['DimGray']), # symbol, color
            17,  # str
            8, # dex
            10,  # con
            8, # per
            8, # spd
            3,  # level
            40, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'whip', # unarmed attack verb
            'disperse',  # death verb
            False,    # leaves corpse?
            900, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass

