import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
A dank fog envelopes you and quickly fills your nostrils with the stench of the
grave. Your skin begins to tingle as the fog grows thicker and your lungs begin
to burn. You raise your light in a vain attempt to penetrate the mist, and see
that your skin is covered in dozens of small lacerations that are growing
larger.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'soul-flayer mist',    # name
            parole.map.AsciiTile('M', colors['SaddleBrown']), # symbol, color
            16,  # str
            10, # dex
            7,  # con
            17, # per
            17, # spd
            5,  # level
            160, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'lacerate', # unarmed attack verb
            'disperse',  # death verb
            False,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass




