import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main
from util import *

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'shining trapezohedron',    # name
            parole.map.AsciiTile('*', colors['Black']), # symbol, color
            1,  # str
            1, # dex
            1,  # con
            0, # per
            1, # spd
            6,  # level
            320, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'disquiet', # unarmed attack verb
            'shatter',  # death verb
            False,    # leaves corpse?
            1000, # unarmed attack energy
        )

    def die(self, *args, **kwargs):
        sim.Monster.die(self, *args, **kwargs)
        main.player.winner = True


#========================================
thingClass = MonsterClass



