import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
A rhythmic staccato noise ahead makes you pause. As soon as you stop moving, the
noise stops too. Walking slower and more softly now, you brush aside the cobwebs
that line the walls and raise your light a little higher. Suddenly you trip over
a large object on the floor and nearly lose your balance. Peering down you see a
man-shaped lump wrapped in spider silk. You begin moving while frantically
scanning the walls and ceiling. The staccato noise quickens and gets closer.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'ungoliantaki',    # name
            parole.map.AsciiTile('S', colors['Black']), # symbol, color
            10,  # str
            18, # dex
            10,  # con
            17, # per
            18, # spd
            4,  # level
            80, # xp value
            True, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'pincer', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass






