import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main
from util import *
from dungeon import makeFloor, Room, TemplateRoom
import dungeon

template = \
"""
##################################
#  ######          ###  ###      #
###              ##       ###    #
###                       ##     #
##                          ###  #
##       o            o       ####
# #                              #
###           o                ###
####            o             #  #
#                         #  ## ##
##    o                     ###  #
#                           ##   #
##                         ##  # #
#######   o   #          ###     #
# ######     ##   o      ## #  # #
##################################
"""[1:]

legend = {
    'o':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('stalagmite', 100, parole.map.AsciiTile('o',
                colors['Green']),
                blockMove=True, massNoun=False), clearFirst=False),

    '#':    dungeon.rockGenerator(colors['DimGray']),
}

floorColor1 = colors['SandyBrown']
floorColor2 = colors['SaddleBrown']
floorName = 'dirt floor'
mixture = 0.5

#diggable = [
#    (4,0), 
#    (4,6),
#    (0,3),
#    (7,3),
#]
diggable = None # means perimeter

class MessHall(TemplateRoom):
    def __init__(self, pos):
        TemplateRoom.__init__(self, template, legend, diggable, pos,
                floorColor1, floorColor2, mixture, floorName)


roomClass = MessHall



