import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main
from util import *
from dungeon import makeFloor, Room, TemplateRoom
import dungeon

template = \
"""
###############################
#        #         #  % % %   #
######### ######### %  % % %  #
#                     % % % D #
### ############## %   % % % ##
#  #             #     %% % # #
#                ##    % % %# #
###############################
"""[1:]

legend = {
    'D':    dungeon.thingGenerator('monsters', 'niddhogr'),

    '%':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('well gnawed bones', 10, parole.map.AsciiTile('%',
                colors['White']),
                blockMove=False, massNoun=True), clearFirst=False),

    '#':    dungeon.rockGenerator(colors['DimGray']),
}

floorColor1 = colors['SandyBrown']
floorColor2 = colors['SaddleBrown']
floorName = 'dirt floor'
mixture = 0.5

#diggable = [
#    (4,0), 
#    (4,6),
#    (0,3),
#    (7,3),
#]
diggable = None # means perimeter

class MessHall(TemplateRoom):
    def __init__(self, pos):
        TemplateRoom.__init__(self, template, legend, diggable, pos,
                floorColor1, floorColor2, mixture, floorName)


roomClass = MessHall


