import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main
from util import *
from dungeon import makeFloor, Room, TemplateRoom
import dungeon

template = \
"""
##### #####
##   *   ##
#  o   o  #
     X     
#  o   o  #
##   *   ##
##### #####
"""[1:]

legend = {
    '#':    dungeon.rockGenerator(colors['Silver']),

    'X':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('drill shaft', 100, parole.map.AsciiTile(' ',
                colors['Black'], bg_rgb=colors['Black']),
                blockMove=True), clearFirst=True),
            
    'o':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('wooden support pillar', 100, parole.map.AsciiTile('o',
                colors['SaddleBrown']),
                blockMove=True, blockLOS=True), clearFirst=False),

    '*':    parole.map.MapObjectGenerator("",
            lambda: dungeon.Brazier(), clearFirst=False),
}

floorColor1 = colors['SandyBrown']
floorColor2 = colors['SaddleBrown']
floorName = 'dirt floor'
mixture = 0.5

diggable = [
    (5,0), 
    (5,6),
    (0,3),
    (10,3),
]

class MessHall(TemplateRoom):
    def __init__(self, pos):
        TemplateRoom.__init__(self, template, legend, diggable, pos,
                floorColor1, floorColor2, mixture, floorName)


roomClass = MessHall

