import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main
from util import *
from dungeon import makeFloor, Room, TemplateRoom
import dungeon

template = \
"""
#############################
#                           #
#   o       . &         o   #
#          . . . .          #
#            . .            #
#   o      . .          o   #
#         .                 #
#############################
"""[1:]

legend = {
    '.':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('freshly smeared blood', 10,
                parole.map.AsciiTile(' ',
                colors['Red'], bg_rgb=colors['DarkRed']),
                blockMove=False, massNoun=True, startsVowel=False),
            clearFirst=False),

    '&':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('obsidian altar', 10,
                parole.map.AsciiTile('&',
                colors['Black'], bg_rgb=colors['DarkRed']),
                blockMove=False, massNoun=False, startsVowel=True),
            clearFirst=False),

    'o':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('pillar of skulls', 100, parole.map.AsciiTile('o',
                colors['White']),
                blockMove=True, blockLOS=True), clearFirst=False),


    '#':    dungeon.rockGenerator(colors['DimGray']),
}

floorColor1 = colors['SlateGray']
floorColor2 = colors['Black']
floorName = 'black clay floor'
mixture = 0.8

#diggable = [
#    (4,0), 
#    (4,6),
#    (0,3),
#    (7,3),
#]
diggable = None # means perimeter

class MessHall(TemplateRoom):
    def __init__(self, pos):
        TemplateRoom.__init__(self, template, legend, diggable, pos,
                floorColor1, floorColor2, mixture, floorName)


roomClass = MessHall

