import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main
from util import *
from dungeon import makeFloor, Room, TemplateRoom
import dungeon

template = \
"""
###########
###     ###
##       ##
#  o   o  #
#    O    #
#  o   o  #
#         #
#         #
###########
"""[1:]

legend = {
    '#':    dungeon.rockGenerator(colors['Gray']),

    'O':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('ventilation shaft', 100, parole.map.AsciiTile('O',
                colors['Silver'], bg_rgb=colors['DimGray']),
                blockMove=True), clearFirst=True),
            
    'o':    parole.map.MapObjectGenerator("", 
            lambda: sim.Obj('wooden support pillar', 100, parole.map.AsciiTile('o',
                colors['Sienna']),
                blockMove=True, blockLOS=True), clearFirst=False),
}

floorColor1 = colors['SandyBrown']
floorColor2 = colors['SaddleBrown']
floorName = 'dirt floor'
mixture = 0.5

diggable = [
    (0,4),
    (5,0), 
    (5,8), 
    (10,4),
]

class MessHall(TemplateRoom):
    def __init__(self, pos):
        TemplateRoom.__init__(self, template, legend, diggable, pos,
                floorColor1, floorColor2, mixture, floorName)


roomClass = MessHall



